Clusters with the click

Build: #231 failed Changes by Chris Gianelloni

Build result summary

Details

Completed
Duration
3 minutes
Labels
None
Revision
66cfc080fe3107b74b4989d9be01c1c5ef8b86f2 66cfc080fe3107b74b4989d9be01c1c5ef8b86f2
Total tests
595
Fixed in
#236 (Changes by David Bajot)

No failed tests found, a possible compilation error occurred.

  • 0 New failures
  • 0 Existing failures
  • 0 Fixed

Responsible

Code commits

Author Commit Message Commit date
Chris Gianelloni Chris Gianelloni 66cfc080fe3107b74b4989d9be01c1c5ef8b86f2 66cfc080fe3107b74b4989d9be01c1c5ef8b86f2 Merge pull request #841 from cybervisiontech/ui-bnuild-maven-improvement
[ui-build-maven-improvement] node_modules and bower_components removal commands added
Constantine Povietkin <kpovetkin@continuuity.com> Constantine Povietkin <kpovetkin@continuuity.com> 3584e0d9f9ff17189477df706032318fb5986936 m 3584e0d9f9ff17189477df706032318fb5986936 [ui-bnuild-maven-improvement] EOF in clean-ui.sh
Constantine Povietkin <kpovetkin@continuuity.com> Constantine Povietkin <kpovetkin@continuuity.com> 421d8920cedc4ddb3c193d63b07933917789ab90 m 421d8920cedc4ddb3c193d63b07933917789ab90 [ui-bnuild-maven-improvement] removed unnecessary shell output.
Constantine Povietkin <kpovetkin@continuuity.com> Constantine Povietkin <kpovetkin@continuuity.com> 981fc6bb77ac4ea1a3016639fed9b9d3d6577982 m 981fc6bb77ac4ea1a3016639fed9b9d3d6577982 Merge branch 'ui-bnuild-maven-improvement' of github.com:cybervisiontech/coopr into ui-bnuild-maven-improvement
Constantine Povietkin <kpovetkin@continuuity.com> Constantine Povietkin <kpovetkin@continuuity.com> ed419e72626f2f1361d6843a1420627ffb6eadc6 m ed419e72626f2f1361d6843a1420627ffb6eadc6 [ui-bnuild-maven-improvement] UI clean steps are moved to mvn clean phase

Error summary for Default Job

The job generated some errors, drill down into the full build log for more details.

    at Function.Module._load (module.js:280:25)
    at Function.Module.runMain (module.js:497:10)
    at startup (node.js:119:16)
    at node.js:901:3
npm http GET https://registry.npmjs.org/del
npm http GET https://registry.npmjs.org/express
npm http GET https://registry.npmjs.org/gulp
npm http GET https://registry.npmjs.org/http-proxy
npm http GET https://registry.npmjs.org/bower
npm http GET https://registry.npmjs.org/serve-favicon
npm http GET https://registry.npmjs.org/gulp-less
npm http GET https://registry.npmjs.org/gulp-livereload
npm http GET https://registry.npmjs.org/gulp-concat
npm http GET https://registry.npmjs.org/gulp-minify-css
npm http GET https://registry.npmjs.org/gulp-ng-annotate
npm http GET https://registry.npmjs.org/gulp-load-plugins
npm http GET https://registry.npmjs.org/gulp-angular-templatecache
npm http GET https://registry.npmjs.org/gulp-debug
npm http GET https://registry.npmjs.org/gulp-rev
npm http GET https://registry.npmjs.org/gulp-size
npm http GET https://registry.npmjs.org/gulp-if
npm http GET https://registry.npmjs.org/finalhandler
npm http GET https://registry.npmjs.org/gulp-wrapper
npm http GET https://registry.npmjs.org/karma-jasmine
npm http GET https://registry.npmjs.org/gulp-autoprefixer
npm http GET https://registry.npmjs.org/karma-chrome-launcher
npm http GET https://registry.npmjs.org/gulp-util
npm http GET https://registry.npmjs.org/gulp-replace
npm http GET https://registry.npmjs.org/gulp-uglify
npm http GET https://registry.npmjs.org/main-bower-files
npm http GET https://registry.npmjs.org/morgan
npm http GET https://registry.npmjs.org/karma
npm http GET https://registry.npmjs.org/merge-stream
npm http GET https://registry.npmjs.org/gulp-jshint
npm http GET https://registry.npmjs.org/jasmine-core
npm http 200 https://registry.npmjs.org/http-proxy
npm http 304 https://registry.npmjs.org/serve-favicon
npm http 200 https://registry.npmjs.org/gulp
npm ERR! Error: No compatible version found: gulp@'^3.8.9'
npm ERR! Valid install targets:
npm ERR! ["0.0.1","0.0.2","0.0.3","0.0.4","0.0.5","0.0.7","0.0.8","0.0.9","0.1.0","0.2.0","1.0.0","1.1.0","1.2.0","1.2.1","2.0.0","2.0.1","2.1.0","2.2.0","2.3.0","2.4.0","2.4.1","2.6.0","2.6.1","2.7.0","3.0.0","3.1.1","3.1.2","3.1.3","3.1.4","3.2.0","3.2.1","3.2.2","3.2.3","3.2.4","3.2.5","3.3.0","3.3.1","3.3.2","3.3.4","3.4.0","3.5.0","3.5.1","3.5.2","3.5.5","3.5.6","3.6.0","3.6.1","3.6.2","3.7.0","3.8.0","3.8.1","3.8.2","3.8.3","3.8.4","3.8.5","3.8.6","3.8.7","3.8.8","3.8.9","3.8.10"]
npm ERR!     at installTargetsError (/opt/node/lib/node_modules/npm/lib/cache.js:719:10)
npm ERR!     at /opt/node/lib/node_modules/npm/lib/cache.js:638:10
npm ERR!     at saved (/opt/node/lib/node_modules/npm/node_modules/npm-registry-client/lib/get.js:142:7)
npm ERR!     at /opt/node/lib/node_modules/npm/node_modules/graceful-fs/polyfills.js:133:7
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this log at:
npm ERR!     <http://github.com/isaacs/npm/issues>
npm ERR! or email it to:
npm ERR!     <npm-@googlegroups.com>

npm ERR! System Linux 2.6.32-431.20.3.el6.x86_64
npm ERR! command "/opt/node/bin/node" "/opt/node/bin/npm" "install"
npm ERR! cwd /var/bamboo/xml-data/build-dir/COOP-DBT-JOB1/coopr-ui
npm ERR! node -v v0.10.15
npm ERR! npm -v 1.3.5
npm http 200 https://registry.npmjs.org/gulp-livereload
npm http 200 https://registry.npmjs.org/bower
npm http 200 https://registry.npmjs.org/gulp-concat
npm http 200 https://registry.npmjs.org/gulp-minify-css
npm http 200 https://registry.npmjs.org/gulp-ng-annotate
npm http 200 https://registry.npmjs.org/del
npm http 304 https://registry.npmjs.org/gulp-debug
npm http 200 https://registry.npmjs.org/gulp-load-plugins
npm http 304 https://registry.npmjs.org/gulp-rev
npm http 200 https://registry.npmjs.org/gulp-size
npm http 200 https://registry.npmjs.org/gulp-less
npm http 200 https://registry.npmjs.org/gulp-if
npm http 200 https://registry.npmjs.org/gulp-angular-templatecache
npm http 304 https://registry.npmjs.org/karma-jasmine
npm http 200 https://registry.npmjs.org/gulp-autoprefixer
npm http 304 https://registry.npmjs.org/finalhandler
npm http 304 https://registry.npmjs.org/karma-chrome-launcher
npm http 200 https://registry.npmjs.org/express
npm http 200 https://registry.npmjs.org/gulp-util
npm http 304 https://registry.npmjs.org/gulp-replace
npm http 200 https://registry.npmjs.org/morgan
npm http 200 https://registry.npmjs.org/gulp-uglify
npm http 200 https://registry.npmjs.org/main-bower-files
npm http 200 https://registry.npmjs.org/merge-stream
npm http 304 https://registry.npmjs.org/jasmine-core
npm http 304 https://registry.npmjs.org/gulp-wrapper
npm http 200 https://registry.npmjs.org/gulp-jshint
npm http 200 https://registry.npmjs.org/karma
npm ERR!
npm ERR! Additional logging details can be found in:
npm ERR!     /var/bamboo/xml-data/build-dir/COOP-DBT-JOB1/coopr-ui/npm-debug.log
npm ERR! not ok code 0
npm ERR! weird error 1
npm ERR! not ok code 0

module.js:340
    throw err;
          ^
Error: Cannot find module '/var/bamboo/xml-data/build-dir/COOP-DBT-JOB1/coopr-ui/node_modules/gulp/bin/gulp.js'
    at Function.Module._resolveFilename (module.js:338:15)
    at Function.Module._load (module.js:280:25)
    at Function.Module.runMain (module.js:497:10)
    at startup (node.js:119:16)
    at node.js:901:3